[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TItemPropList.Destroy

Destructor for the class instance.

## Declaration

Source position: valedit.pas line 73

`public destructor TItemPropList.Destroy; override;`

## Description

Destroy is the destructor for the class instance. Destroy ensures that resources allocated to the internal list are freed; the Items in the list are freed as well. Destroy calls the inherited destructor.

## See also

TItemPropList.Items |  | Provides access to items in the container by their ordinal position.
TItemPropList.Create |  | Constructor for the class instance.